<?php
/*
* Anton Responsive - my child theme of wp Responsive
*/

// Exit if accessed directly
if (!defined( 'ABSPATH')) {
	exit;
}

function remove_parent_theme_crap() {
    // Remove ads and junk
    remove_action('admin_menu', 'cyberchimps_add_upsell');
    remove_action('tgmpa_register', 'responsive_install_plugins');
    remove_action('responsive_theme_options', 'responsive_upgrade_bar', 1);
    remove_action('responsive_theme_options', 'responsive_theme_support', 2);
}
add_action('after_setup_theme', 'remove_parent_theme_crap');


/**
 * This function prints post meta data.
 *
 * The one in 'responsive' prints author name, which would be stupid here.
 *
 */
if (!function_exists('responsive_post_meta_data')) {

	function responsive_post_meta_data() {
		printf(__('<span class="%1$s">Posted on </span>%2$s<span class="%3$s">', 'responsive'),
				'meta-prep meta-prep-author posted',
				sprintf('<a href="%1$s" title="%2$s" rel="bookmark"><time class="timestamp updated" datetime="%3$s">%4$s</time></a>',
						 esc_url(get_permalink()),
						 esc_attr(get_the_title()),
						 esc_html(get_the_date('c')),
						 esc_html(get_the_date())
				),
				'byline'
		);
	}

}


/**
 * Display Posts Shortcode - Exclude Some Posts
 * @link https://wordpress.org/plugins/display-posts-shortcode/
 */
function anton_display_posts_shortcode_exclude_posts($args, $attrs) {
    if(isset( $attrs['hide_sticky'])) {
        $args['post__not_in'] = get_option('sticky_posts');
    }
    return $args;
}
add_filter( 'display_posts_shortcode_args', 'anton_display_posts_shortcode_exclude_posts', 10, 2 );

/**
 * Add widget area(s)
 */
function anton_widgets_init() {
    register_sidebar(array(
        'name'      => 'Home After Content',
        'id'        => 'home_after_content',
        'before_widget' => '<div>',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ));
}
add_filter('widgets_init', 'anton_widgets_init');
