<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Landing Page Template
 *
Template Name:  Landing Page (no menu)
 *
 * @file           landing-page.php
 * @package        Responsive
 * @author         Emil Uzelac
 * @copyright      2003 - 2014 CyberChimps
 * @license        license.txt
 * @version        Release: 1.0
 * @filesource     wp-content/themes/responsive/landing-page.php
 * @link           http://codex.wordpress.org/Theme_Development#Pages_.28page.php.29
 * @since          available since Release 1.0
 */

get_header();
?>

<div id="content-full" class="grid col-940">

    <?php if ( have_posts() ) : ?>

        <?php while( have_posts() ) : the_post(); ?>

            <?php responsive_entry_before(); ?>
            <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                <?php responsive_entry_top(); ?>

                <div class="post-entry">
                    <?php the_content( __( 'Read more &#8250;', 'responsive' ) ); ?>
                    <?php wp_link_pages( array( 'before' => '<div class="pagination">' . __( 'Pages:', 'responsive' ), 'after' => '</div>' ) ); ?>
                </div>

                <?php get_template_part( 'post-data', get_post_type() ); ?>

                <?php responsive_entry_bottom(); ?>

    <?php if (is_active_sidebar('home_after_content')): ?>
        <div id="home-after-content" class="widget-area">
            <?php dynamic_sidebar('home_after_content'); ?>
        </div>
    <?php endif; ?>

    <h3>Projects</h3>
    <?php
    $args = array(
        'posts_per_page'    => -1,
        'post__in'          => get_option( 'sticky_posts' ),
        'tag'               => 'project',
        'ignore_sticky_posts' => 1,
        'orderby'           => 'date',
        'order'             => 'DESC',
    );
    $sticky_posts = new WP_Query( $args );
    ?>
    <?php if ( $sticky_posts->have_posts() ) : ?>

        <?php while( $sticky_posts->have_posts() ) : $sticky_posts->the_post(); ?>

            <?php responsive_entry_before(); ?>
            <div id="post-<?php the_ID(); ?>" <?php post_class("fp-sticky-post"); ?>>
                <?php responsive_entry_top(); ?>

                <?php if ( has_post_thumbnail() ) : ?>
                    <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                        <?php the_post_thumbnail(array(150,150)); ?>
                    </a>
                <?php endif; ?>

                <h4 class="entry-title post-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h4>
                <?php the_excerpt(); ?>
                <?php responsive_entry_bottom(); ?>
            </div>
            <?php responsive_entry_after(); ?>

        <?php
        endwhile;

        get_template_part( 'loop-nav', get_post_type() );

    else :

        get_template_part( 'loop-no-posts', get_post_type() );

    endif;
    ?>


            </div>
            <?php responsive_entry_after(); ?>

        <?php
        endwhile;

        get_template_part( 'loop-nav', get_post_type() );

    else :

        get_template_part( 'loop-no-posts', get_post_type() );

    endif;
    ?>

</div>

<?php get_footer(); ?>
